package com.ruoyi.ai.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.ai.domain.AiRechargeGiftGear;
import org.apache.ibatis.annotations.Param;

/**
 * 充值赠送活动档位配置Mapper接口
 *
 * @author shi
 * @date 2025-11-20
 */
public interface AiRechargeGiftGearMapper extends BaseMapper<AiRechargeGiftGear> {
    int deleteAiRechargeGiftGearByIds(Long[] ids);

    int deleteAiRechargeGiftGearById(Long id);

    void insertBatch(@Param("list") List<AiRechargeGiftGear> gearList);

    List<AiRechargeGiftGear> getGiftGear();
}
